Change in osmo-gsm-tester[master]: contrib: Add build script for open5gs

pespin gerrit-no-reply at lists.osmocom.org
Tue Mar 16 11:51:19 UTC 2021


pespin has submitted this change. ( https://gerrit.osmocom.org/c/osmo-gsm-tester/+/23372 )

Change subject: contrib: Add build script for open5gs
......................................................................

contrib: Add build script for open5gs

Change-Id: I0ed43dadbfe08811dd72064ee7332d0872882dfd
---
M contrib/jenkins-build-common.sh
A contrib/jenkins-build-open5gs.sh
2 files changed, 19 insertions(+), 0 deletions(-)

Approvals:
  pespin: Looks good to me, approved; Verified



diff --git a/contrib/jenkins-build-common.sh b/contrib/jenkins-build-common.sh
index 0dac3a4..75d1e4f 100644
--- a/contrib/jenkins-build-common.sh
+++ b/contrib/jenkins-build-common.sh
@@ -151,6 +151,13 @@
     rm -rf build && mkdir build && cd build || exit 1
     set +x; echo; echo; set -x
     cmake -DCMAKE_INSTALL_PREFIX=$prefix $configure_opts ../
+  elif [ -f meson.build ]; then
+    rm -rf build && mkdir build && cd build || exit 1
+    set +x; echo; echo; set -x
+    meson ../ --prefix=$prefix $configure_opts
+    ninja -j8
+    ninja install
+    return
   else
     echo "Unknwown build system" && exit 1
   fi
diff --git a/contrib/jenkins-build-open5gs.sh b/contrib/jenkins-build-open5gs.sh
new file mode 100755
index 0000000..ecee8ca
--- /dev/null
+++ b/contrib/jenkins-build-open5gs.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e -x
+
+base="$PWD"
+name="open5gs"
+git_url="${git_url:-https://github.com/open5gs}"
+project_name="${project_name:-open5gs}"
+. "$(dirname "$0")/jenkins-build-common.sh"
+
+build_repo $project_name "main" $configure_opts
+
+create_bin_tgz "open5gs-mmed"

-- 
To view, visit https://gerrit.osmocom.org/c/osmo-gsm-tester/+/23372
To unsubscribe, or for help writing mail filters, visit https://gerrit.osmocom.org/settings

Gerrit-Project: osmo-gsm-tester
Gerrit-Branch: master
Gerrit-Change-Id: I0ed43dadbfe08811dd72064ee7332d0872882dfd
Gerrit-Change-Number: 23372
Gerrit-PatchSet: 1
Gerrit-Owner: pespin <pespin at sysmocom.de>
Gerrit-Reviewer: pespin <pespin at sysmocom.de>
Gerrit-CC: Jenkins Builder
Gerrit-MessageType: merged
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.osmocom.org/pipermail/gerrit-log/attachments/20210316/19732e3a/attachment.htm>


More information about the gerrit-log mailing list